import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface AwsAuthBackendCertConfig extends cdktf.TerraformMetaArguments {
    /**
    * Base64 encoded AWS Public key required to verify PKCS7 signature of the EC2 instance metadata.
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/vault/r/aws_auth_backend_cert#aws_public_cert AwsAuthBackendCert#aws_public_cert}
    */
    readonly awsPublicCert: string;
    /**
    * Unique name of the auth backend to configure.
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/vault/r/aws_auth_backend_cert#backend AwsAuthBackendCert#backend}
    */
    readonly backend?: string;
    /**
    * Name of the certificate to configure.
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/vault/r/aws_auth_backend_cert#cert_name AwsAuthBackendCert#cert_name}
    */
    readonly certName: string;
    /**
    * The type of document that can be verified using the certificate. Must be either "pkcs7" or "identity".
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/vault/r/aws_auth_backend_cert#type AwsAuthBackendCert#type}
    */
    readonly type?: string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/vault/r/aws_auth_backend_cert vault_aws_auth_backend_cert}
*/
export declare class AwsAuthBackendCert extends cdktf.TerraformResource {
    static readonly tfResourceType = "vault_aws_auth_backend_cert";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/vault/r/aws_auth_backend_cert vault_aws_auth_backend_cert} Resource
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options AwsAuthBackendCertConfig
    */
    constructor(scope: Construct, id: string, config: AwsAuthBackendCertConfig);
    private _awsPublicCert?;
    get awsPublicCert(): string;
    set awsPublicCert(value: string);
    get awsPublicCertInput(): string | undefined;
    private _backend?;
    get backend(): string;
    set backend(value: string);
    resetBackend(): void;
    get backendInput(): string | undefined;
    private _certName?;
    get certName(): string;
    set certName(value: string);
    get certNameInput(): string | undefined;
    get id(): string;
    private _type?;
    get type(): string;
    set type(value: string);
    resetType(): void;
    get typeInput(): string | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
//# sourceMappingURL=aws-auth-backend-cert.d.ts.map