import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataVaultIdentityOidcPublicKeysConfig extends cdktf.TerraformMetaArguments {
    /**
    * The name of the provider.
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/vault/d/identity_oidc_public_keys#name DataVaultIdentityOidcPublicKeys#name}
    */
    readonly name: string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/vault/d/identity_oidc_public_keys vault_identity_oidc_public_keys}
*/
export declare class DataVaultIdentityOidcPublicKeys extends cdktf.TerraformDataSource {
    static readonly tfResourceType = "vault_identity_oidc_public_keys";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/vault/d/identity_oidc_public_keys vault_identity_oidc_public_keys} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataVaultIdentityOidcPublicKeysConfig
    */
    constructor(scope: Construct, id: string, config: DataVaultIdentityOidcPublicKeysConfig);
    get id(): string;
    keys(index: string, key: string): string | cdktf.IResolvable;
    private _name?;
    get name(): string;
    set name(value: string);
    get nameInput(): string | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
//# sourceMappingURL=data-vault-identity-oidc-public-keys.d.ts.map